<?php
defined('BASEPATH') OR exit('No direct script access allowed');

$lang['SITE_NAME']	= 'Output Books';

$lang['ADD'] = 'Add';
$lang['EDIT'] = 'Edit';
$lang['DELETE'] = 'Delete';
$lang['SAVE'] = 'Save';
$lang['APPLY'] = 'Apply';
$lang['CANCEL'] = 'Cancel';
$lang['DUPLICATE_TRANSACTION_NUMBER'] = 'Duplicate transaction number "%s"!';
$lang['INVALID_TRANSACTION'] = 'Transaction amount required';
$lang['ITEM_ACCID_REQUIRED'] = 'Item Required!';
$lang['ITEM_RATE_REQUIRED'] = '%s item rate required!';
$lang['ITEM_HSN_REQUIRED'] = '%s HSN / SAC Required!';
// $lang['TRANS_ITEM_ERROR'] = 'Item rate required!';
$lang['ITEM_IN_MASTER'] = 'Item must in master list';
$lang['DATE_ERROR'] = 'Date not in financial year';
$lang['INVALID_REQUEST'] = 'Invalid Request';
$lang[SALINV]   = 'Sales Invoice';
$lang[SALRETAIL]= 'Sales Retail';
$lang[SALINV.'_inv']   = 'Tax Invoice';
$lang[SALRETAIL.'_inv']= 'Cash Invoice';
$lang[CRNOTE]   = 'Sales Credit Note';
$lang[DBNOTE]   = 'Sales Debit Note';
// $lang[BILLSUP]  = 'Bill of Supply';
$lang[ADVRPT]   = 'Advance Receipt';
$lang[DELCHALLAN] = 'Delivery Challan';
$lang[SALPMT]   = 'Receipt';
$lang[EST]      = 'Estimate';
$lang[PURINV]   = 'Purchase Invoice';
$lang[PUREXP]   = 'Expenses';
$lang[PURORD]   = 'Purchase Order';
$lang[PURCRNOTE] = 'Purchase Credit Note';
$lang[PURDBNOTE] = 'Purchase Debit Note';
$lang[PURADVPMT] = 'Advance Payment';
$lang[PURPMT]    = 'BILL PAYMENTS';
$lang[JOURNAL]   = 'Journal Voucher';
$lang['CONTACT_TAX_UNIQUE']   = 'The Contact tax number must contain a unique value';
$lang['CREATE_SUCCESS']  = 'Created successfully';
$lang['SUCCESS_SAVE']	= 'Saved successfully';
$lang['SUCCESS_SAVE_ECOM']	= 'Ecom Details Saved successfully';
$lang['DELETE_SUCCESS']	= 'Deleted successfully';
$lang['RESTORE_SUCCESS']	= 'Restored successfully';
$lang['MAIL_SUCCESS']	= 'Mail Sent successfully!';
$lang['SAVE_ERROR']		= 'Error in save!';
$lang['DELETE_ERROR']		= 'Error in delete!';
$lang['OPEN_BALANCE']		= 'Opening Balance';
$lang['AMOUNT_REQUIRED'] = 'Amount required';
$lang['CONTACT_REQUIRED'] = 'Contact required';
$lang['ACCOUNT_REQUIRED'] = 'Account required';
$lang['AUTO_SERIES_NUMERIC'] = 'Auto mode series start should be numeric';
$lang['PAYMENT_ACCOUNT_REQUIRED'] = 'Payment account required';
$lang['TRANS_TOT_ERROR'] = 'Account transaction total issue %s';
$lang['TRANS_STATUS_UPDATE_ERROR'] = 'Error in status update!';
$lang['TRANS_STATUS_UPDATE_PERMISSION_ERROR'] = "Don't have permission.Error in status update!";

$lang['SUCCESS_UPLOAD'] = 'Successfully files uploaded.';
$lang['FAIL_UPLOAD'] = 'File upload failed : ';
$lang['PREFIX_ERROR'] = 'Sales Invoice & Sales Retail are have same prefix.';

$lang['JV_MULTIPLE_CONTACT']    = 'MUltiple contact not allowed';
$lang['INPUT_TAX_DEBIT_ZERO']   = 'Input tax debit amount must greater than zero';
$lang['OUTPUT_TAX_CREDIT_ZERO'] = 'Output tax debit amount must greater than zero';
$lang['MULTIPLE_PAY_ACCOUNT']   = 'More than one account payable exists';
$lang['MULTIPLE_RECEIVE_ACCOUNT'] = 'More than one account receivable exists';
$lang['OUTPUT_RECEIVE_ACCOUNT_MUST']    = 'Output tax must have receivable account';
$lang['INPUT_OUTPUT_ACCOUNT_MUST']         = 'Input / Output tax must have contact details';

$lang['COMPUTER_GENERATED_DOCUMENT'] = 'This is computer generated document.';
$lang['FREEZE_TRANSACTION_DATE'] = 'Transactions restricted before date %s';
$lang['FREEZE_TRANSACTION_GSTR3_DATE'] = 'Transactions restricted before gstr3b submitted date %s';
$lang['FREEZE_TRANSACTION_GSTR1_DATE'] = 'Transactions restricted before gstr1 submitted date %s';
$lang['EMPTY_POS'] = "%s Place of supply can't empty!";
$lang['DATE_ABOVE_OPEN_BALANCE'] = 'Transactions date must greater than opening balance date %s';
$lang['TRANSACTION_BEFORE_DATE'] = 'Some transaction exists before selected date %s';
//$lang['TRANSACTION_LINKED_WITH_OTHERS'] = 'Can\'t delete, Transaction used by other transactions';
$lang['TRANSACTION_LINKED_WITH_OTHERS'] = '%s #%s cannot be deleted because it has been referred by %s #%s.';
$lang['TRANSACTION_LINKED_WITH_OTHERS_CONVERT'] = '%s #%s cannot be converted because it has been referred by %s #%s.';
$lang['SMTP_NOT_SET'] = 'Unable to send email. please check with your administrator.';
$lang['REF_DATE_INVALID'] = 'Date should be above reference transaction date %s';
$lang['CONTACT_CHANGE_ERROR'] = 'Can\'t change contact, Transaction used by other transactions';
$lang['ITEM_OUT_OF_STOCK'] = 'Sorry, %s is out of stock!';
$lang['TRANSACTION_TOTAL_ALLOT_ISSUE'] = 'Payment/Receipt greater than the Total Amount.';
$lang['TRANSACTION_LINKED_WITH_EINVOICE'] = '%s cannot be %s because it mapped with einvoice.';

// langugae for export pdf
$lang[SALINV.'_E']   = 'Sales';
$lang[SALRETAIL.'_E']= 'Retail';
$lang[CRNOTE.'_E']   = 'Credit Note';
$lang[DBNOTE.'_E']   = 'Debit Note';
// $lang[BILLSUP]  = 'Bill of Supply';
$lang[DELCHALLAN.'_E'] = 'Delivery Challan';
$lang[SALPMT.'_E']   = 'Receipt';
$lang[EST.'_E']      = 'Estimate';
$lang[PURINV.'_E']   = 'Purchase';
$lang[PUREXP.'_E']   = 'Expenses';
$lang[PURCRNOTE.'_E'] = 'Sup.Credit Note';
$lang[PURDBNOTE.'_E'] = 'Sup.Debit Note';
$lang[PURADVPMT.'_E'] = 'Payment';
$lang[PURPMT.'_E']    = 'Payment';
$lang[JOURNAL_VOUCHER.'_E']   = 'Journal';
$lang[JOURNAL_CONTRA.'_E']   = 'Journal';
$lang['AO_E']   = 'Opening Balance';

$lang['UNIT_DUPLICATE'] = 'Unit abbreviation already exists!';
$lang['STORAGE_DUPLICATE'] = 'Storage Name already exists!';
$lang['REQUIRED_CONTACT_TAXNO'] = 'Contact GSTIN Required.';
$lang['USER_NOT_ACTIVE'] = "User not active. Please check with your administrator.";
$lang['SUCCESS_IMPORT'] = 'Imported successfully';
$lang['ODBC_ERROR'] = 'ODBC not support please check with system admin!';
$lang['NO_DATA'] = 'No details found!';
$lang['TRANSACTION_NUMBER_EMPTY'] = 'Transaction number required';
$lang['EMPTY_SERIES_FR'] = "Welcome to New Accounting Year %s - %s.<br>
Before starting a new transaction, it is recommended to do the following<br>
1. Create Serial Number Prefix / Suffix / Starting Number<br>
2. Import Balance from last year";
$lang['EMPTY_SERIES'] = "Welcome to New Accounting Year %s - %s.<br>
Before starting a new transaction, it is recommended to do the following<br>
1. Enter Serial Number Prefix / Suffix / Starting Number <a href='%s'>(Settings > Serial Numbers)</a><br>
2. Import Balance from last year <a href='%s'>(Accounting > Opening Balances)</a>";
$lang['FIELD_TYPE_ERROR'] = 'Field type cannot change';
$lang['ATTR_LINKED']= 'Cannot delete a record if attributes linked with item.';
$lang['ITEM_LOW_QTY'] = '%s - %s only remaining in hand!';
$lang['IMPORT_CNT_ALERT'] = 'Already have %s records, going to import %s ledger accounts from last fiscal year?';
$lang['ITEMS_REQUIRED'] = 'Item(s) Required';
$lang['JOURNAL_ACCOUNT_DUPLICATE'] = "%s account can't be repeated";
$lang['JOURNAL_CONTACT_DUPLICATE'] = "%s contact can't be repeated";
$lang['MODULE_DISABLED'] = "Don't have permission.Please check with your administrator";
$lang['REF_ACC_DISABLED'] = "Reference account transaction restricted!";
$lang['TRANS_REF_ERROR'] = 'Transaction already referred %s.You can refer %s';
$lang['TRANS_REC_ERROR'] = 'Transaction cyclic reference error!';
$lang['SC_SD_REF_ERROR'] = 'Credit | Debit note reference required.';
$lang['BARCODE_OPT_REQUIRE'] = 'Barcode Line Required.';
$lang['SUP_REF_REQUIRED'] = 'Supplier Credit/Debit note number not provided & so this transaction will not be filed in GST Returns. Continue Saving ?';
$lang['MISMATCH_EXPORT_CLASS_TYPE'] = 'Export class type mismatch';
$lang['MISMATCH_BOS_CLASS_TYPE']    = 'Bill of supply class type only for exempted items';
$lang['ACC_LOCK_WARNING'] = 'Your account will be locked if failed again';
$lang['ACC_LOCK_ERROR'] = 'Your account is locked';
$lang['CUSTOM_CNT'] = 'All the %s values defined for this field will be deleted & cannot be rolled back. Make sure to have backup before deleting. Continue Delete ?';
$lang['DUPLICATE_SERIES_NAME'] = 'Duplicate Series Name For %s';
$lang['CONTACT_CREDIT_EXCEED'] = 'Credit Limit %s exceeds for %s. Exceeded Amount : %s';
$lang['OPENING_USED'] = 'Opening balance linked with transaction';
$lang['CONTACT_NAME_ERROR'] = 'Contact display name already used as main branch name.';
$lang['UNKOWN_ERROR'] = 'Something went wrong.';
$lang['LOGIN_ERROR'] = 'Login failed. Please check Email & password';
$lang['TAX_USED'] = 'Tax linked with transaction';
$lang['CANCEL_TIMEOUT'] = 'Cancellation time limit is crossed, you cannot cancel the IRN';
$lang['CONTACT_INVDAYS_EXCEED'] = 'Credit Limit %s days overdue only allowed for %s.';
$lang['CONTACT_INVCNT_EXCEED'] = 'Credit Limit  %s number of unpaid invoices only allowed for %s.';
$lang['COMPANY_SWAPPED'] = 'Company swapped!. please reload the page.';
$lang['BRANCH_SWAPPED'] = 'Transaction not belongs to this branch!. please reload the page.';
$lang['SERILA_MISMATCH'] = ' %s is out of stock!';
$lang['BARCODE_ERROR'] = 'Barcode create error.';

$lang['HAVE_TRANSACTIONS'] = 'Some transaction exists. Unable to delete!';
$lang['ITEM_GOES_TO_NEGATIVE'] = "Sorry, Item goes to out of stock \n %s";
$lang['CHARGES_LINKED_ERROR'] = 'Expenses linked with Purchase Bill %s. Cannot Update.';  
$lang['ITEM_SALERATE_LOCKED'] = 'Item Locked. Sales Rate needs to be revised.';  
$lang['COMP_ITC_ERROR'] = 'Input tax credit not eligible under composition scheme.';
$lang['TNO_MAX_CHARS'] = 'Transaction number max of 16 character';
$lang['ITEMS_MISMATCH'] = 'Items Mismatch';
$lang['REDEEM_POINT_ERROR'] = 'You have only %s points remaining in hand!';
$lang['REDDEM_ABOVE_TOTAL'] = 'Redeem value must be less than total value';
$lang['REL_NUMBER_DUPLICATE_TNO'] = "Buyer oredr no/Supplier Invoice duplicated with '%s'";
// $lang['ACC_BALANCE_NEGATIVE'] = "Not enough amount in Expenses Account:[%s] . Available %s";
$lang['ACC_BALANCE_NEGATIVE'] = "Expense Account [%s] is not having enough Debit Balance. Are you sure to continue ?";
$lang['SUPPLIER_ALREADY_EXISTS'] = 'Supplier Name Already Exists.';
$lang['FRANCHISE_BRANCH_CONFLICT'] = 'Franchise Role User can never assign to branch';
$lang['OLD_MYSQL'] = 'Old Database Version!';
$lang['USER_FRANCHISE_MUST'] = 'Franchise Role User must assign under any one franchise';
$lang['CHEQUE_PAYMENT_REQUIRED'] = 'Cheque mode must have one payment.';
$lang['CHEQUE_COLL_DATE_ERROR']   ='Collected Date shoud be less than today date';
$lang['CHEQUE_ALREADY_APPLIED'] = 'Cheque already applied';
$lang['CHEQUE_DATE_COLL_ERROR'] = 'Cheque date must less than collected date';
$lang['FUTURE_SERIES_ERROR'] = 'Future date series not allowed before one week';
$lang['CHECK_WITH_ADMIN']   =   'Please check with your administrator';
$lang['CHEQUE_REF_REQUIRED'] = 'Cheque reference required';
$lang['INDEPENDENT_BRANCH_LOCKED'] = 'Stock transfer restricted between independent accounting branches.';
$lang['KOT_OPEN_ORDER'] = 'Already have open order!.Please check with your administrator.';
$lang['CONTACT_ZIP_ERROR'] = 'Contact %s zip code required and must match with state!';
$lang['DC_INV_ERROR'] = 'Delivery Challan with invoiced status update restricted.';
$lang['HSN_INVALID'] = 'HSN code(s) - %s is invalid';
$lang['TRANS_REF_CONFLICT_ERROR'] = 'Reference transaction already referred by same type.';
$lang['EWB_TRANS_CANCEL'] = 'Cancelled transaction exists %s';
$lang['TRANS_INVALID_ACCOUNT_ERROR'] = 'Transaction contains invalid account details.';
$lang['REF_ITEM_QTY_MISMATCH'] = '%s item qty greater than refered transactions qty %s.';
$lang['CONTACT_SAVE_ERROR'] = 'Error while saving customer!';
$lang['OPEN_PHYSICAL_STOCK_ERROR'] = 'Need to close Physical Stock Entry #[%s] [%s] first & then continue..';
$lang['TRANS_TAX_ERROR'] = 'Tax calculation error - %s';
$lang['PAN_GSTN_MAP_ERROR'] = 'Pan TaxNo not mapped';
$lang['TAXNO_ALREADY_EXISTS'] = 'Tax number already used in Branch / Warehouse';
$lang['STOCKTL_TAX_MISMATCH'] = 'Stock transfer between different taxno restricted';
$lang['SAME_GSTN_TRANS_ERROR'] = 'Transaction restricted with same gstn!';
$lang['ACCOUNT_MISMATCH_ERROR'] = 'Account mismatch or not exists!';
$lang['DETAILS_CNT_MISMATCH'] = 'Items Details count mismatched!';
$lang['TRANSACTION_REFERED'] = 'Transaction already referred in %s, therefore it cannot be edited';
$lang['REF_DIFF_TYPE_ERROR']    = "Can't Reference different transaction type!.";
$lang['BLOCK_DATE_EDIT'] = "Don't have permission to edit backed date entries.Please check with your administrator";
$lang['SERIAL_MERGE_RESTRICTED'] = 'Merge restricted, Attributes contains serial.no Type!.';
$lang['TRANS_LOCKED'] = 'Transaction Locked!.';

/*classCodes*/
$lang['EXPWOP'] = 'SUPPLY MEANT FOR EXPORT UNDER BOND/LUT WITHOUT PAYMENT OF IGST';
$lang['EXPWP'] = 'SUPPLY MEANT FOR EXPORT ON PAYMENT OF IGST';
$lang['SEZWP'] = 'SUPPLY MEANT FOR SEZ UNIT WITH PAYMENT OF IGST';
$lang['SEZWOP'] = 'SUPPLY TO SEZ UNIT OR SEZ DEVELOPER FOR AUTHORISED OPERATIONS UNDER BOND OR LETTER OF UNDERTAKING WITHOUT PAYMENT OF INTEGRATED TAX';
$lang['STATE_MISMATCH'] = 'State Mismatch with gstn!';
$lang['STATE_ID_CODE_MISMATCH'] = 'State id and state code mismatched!';
$lang['GSTN_STATE_MISMATCH'] = 'Place of Supply Mismatched With GSTIN!';
$lang['POS_STATE_MISMATCH'] = 'Place of supply must match with billing or shipping state!';
$lang['COUPON_MAX_SPEND_LIMIT_MET'] = 'The maximum spend limit for  "%s" coupon is reached.';
$lang['COUPON_USAGE_LIMIT_REACHED'] =  '%s coupon usage limit has been reached.';
$lang['JV_DUPLICATE_CONTACT']    = '%s - duplicate contact not allowed!';
$lang['EWB_ALREADY_IN_CANCELLED'] = '%s - already in cancelled status!';
$lang['EWB_ALREADY_IN_MAPPED'] = '%s - already mapped with this transaction!';
$lang['REF_SALES_NOT_EINVOICE'] = "%s - refered trans not einvoiced yet";
$lang['REF_SALES_EINVOICE_CANCELLED'] = "%s - refered trans cancelled in einvoice";
$lang['RENTAL_ITEM_GOES_TO_NEGATIVE'] = "Sorry, '%s' item goes negative for this contact \n";
$lang['ITEM_GOES_TO_NEGATIVE'] = "Sorry, '%s' item goes negative for this transaction \n";
$lang['ALLOTED_AMOUNT_MISMATCH'] = "%s -Alloted Amount mismatch.";
$lang['TRANS_ACC_MISMATCH'] = 'Trans Account Mismatch!';