window.OBooks = window.OBooks || {};

(function(_OBooks){

	_OBooks.Messgae = {

		"company.addInfo":"This info will be printed in invoice header",

		// Dashboard
		"dashboard.thisFiscalYear": "Financial year-Decided by government,used for financial reporting by business and other organizations",
		"dashboard.receivable": "Amount yet to be received from customer or client",
		"dashboard.payable": "Amount yet to be paid by company to Supplier or vendor  in an financial year",
		"dashboard.recentTransactions": "Viewing all your recent trade Activities or actions",
	
		// Manage > Customers
		"customers.exportCSV": "Export all Customers data in CSV(comma separated values) format",
		"customers.importCSV": "Import all Customers data from the CSV file to Customers list",

		// Manage > Customers > Add Customer
		"customer.gstin": "15-digit Goods and Services Tax Identification Number assigned to every GST registered client or supplier",
		"customer.pan": "Permanent account number(10-digit) issued by income tax department to an client or supplier",
		"customer.compositionScheme": "Taxpayer whose turnover is less than Rs. 1.0 crore can be opted",
		"customer.tds": "Tax deducted from the income of a company/person while making payment above certain threshold limits",
		"customer.tag": "Grouping customers under a category which is Optional",
		"customer.rateSheet": "Items Price with discount or hike in rate of product during various seasons / occasions",
		"customer.active": "Enable/Disable the Customer to allow transactions",

		// Manage > Suppliers
		"suppliers.exportCSV" : "Export all Suppliers data in CSV(comma separated values) format",
		"suppliers.importCSV" : "Import all Suppliers data from the CSV file to Customers list",

		// Manage > Suppliers > Add Supplier
		"supplier.gstin": "15-digit Goods and Services Tax Identification Number assigned to every GST registered client or supplier",
		"supplier.pan": "Permanent account number(10-digit) issued by income tax department to an client or supplier",
		"supplier.compositionScheme": "Check mark the box for taxpayers(customers) whose turn over is less than one crore",
		"supplier.tds": "Tax deducted from the income of a company/person while making payment above certain threshold limits",
		"supplier.tag": "Grouping Suppliers under a category which is Optional",
		"supplier.active": "Enable/Disable the Customer to allow transactions",

		// Manage > Items
		"items.exportCSV": "Export the items list in CSV format which is viewable in Excel / Spread Sheet.",

		// Manage > Items > Add Item
		"item.hsnCode": "8 digit code used to classify goods for calculating GST",
		"item.sacCode": "6 digit code used to classify services for calculating GST",
		"item.inputTaxCredit": "Input Tax Credit - Tax claimed by dealer when the tax is paid during purchase",
		"item.sku": "Stock Keeping Unit-Identification code for product and service",
		"item.account": "Displays all the chart of accounts while making a sale / purchase",
		"item.active": " Enable / Disable the particular item in Invoice or Bill",
		"item.unit": "Measurements of items which is represented in its unit",

		// Manage > Items > Add Item > Accounts
		"frieghtCharges": "Shipping Charges for the product from one location to another",

		// Manage > Ratesheets
		"manage.rateSheet": "Items Price with discount or hike in rate of product during various seasons / occasions",

		// Manage > Stock > Add Stock
		"stock.type": "Usage/Purpose/Status of the stock of particular item",
		"stock.disposal": "Items needed to be disposed / wastage can be moved to outward",
		"stock.opening": "Stock available at the start of business before tracking the inventory",
		"stock.outward": " Items which are Ready for sale / consumed for production / for disposal",
		"stock.inward": "Items which are purchased for production",

// ==================================================================================================================================================================

		// Report > GSTR1
		"gstr1.b2b" : "Details of invoices of Taxable supplies made to other registered taxpayers",
		"gstr1.b2cl" : "Invoices for Taxable outward supplies to consumers where a)The place of supply is outside the state where the supplier is registered and b)The total invoice value is more that Rs 2,50,000",
		"gstr1.b2cs" : "Supplies made to consumers and unregistered persons of the following nature           a) Intra-State: any value   b) Inter-State: Invoice value Rs 2.5 lakh or less",
		"gstr1.rd" : "Credit/ Debit Notes/Refund vouchers issued to the registered taxpayers during the tax period. Debit or credit note issued against invoice will be reported here against original invoice, hence fill the details of original invoice also which was furnished in B2B,B2CL section of earlier/current period tax period.",
		"gstr1.urd" : "Credit/ Debit Notes/Refund vouchers issued to the unregistered persons against interstate invoice value is  more than Rs 2.5 lakh",
		"gstr1.exp" : "Exports supplies including supplies to SEZ/SEZ Developer or deemed exports",
		"gstr1.at" : "Tax liability arising on account of receipt of consideration  for which  invoices have not been issued in the same tax period",
		"gstr1.atadj" : "Adjustment of tax liability for tax already paid  on advance receipt of consideration and invoices issued in the current period for the supplies",
		"gstr1.exemp" : "Details of Nil Rated, Exempted and Non GST Supplies made during the tax period",
		"gstr1.hsn" : "HSN wise summary of goods /services supplied during the tax period",
		
		//Report > GSTR2 
		"gstr2.34a" : "3,4A-Inward supplies from registered person including supplies attracting reverse charge",
		"gstr2.4b" : "4B-Inward supplies from an unregistered supplier",
		"gstr2.6cr" : "6C-Debit/Credit Notes for supplies from registered person",
		"gstr2.6cur" : "6C-Debit/Credit Notes for supplies from an unregistered supplier",
		"gstr2.5" : "5-Import of Input/ Capital goods & Supplies received from SEZ",
		"gstr2.4c" : "4C-Import Of Services",
		"gstr2.10a" : "10A-Advance amount paid for reverse charge supplies",
		"gstr2.10b" : "10B-Adjustment of advance amount paid for reverse charge supplies",
		"gstr2.8" : "8-ISD Credit received",
		"gstr2.7" : "7-Supplies from composition taxable person and other exempt/nil rated/non GST supplies",	
		"gstr2.11" : "11-Input Tax Credit Reversal/Reclaim",
		"gstr2.13" : "13-HSN summary of inward supplies",

		//Report > GSTR4
		"gstr4.4B" : "Inward supplies received from a registered supplier(attracting reverse charge)",
		"gstr4.4C" : "4B-Inward supplies from an unregistered supplier",
		"gstr4.4D" : "Import of services",
		"gstr4.5B" : "5B-Debit/Credit Notes (for registered)",
		"gstr4.5BC" : "5B-Debit/Credit Notes (for unregistered)",
		"gstr4.6A" : "5-Tax on Outward supplies made(net of advance & goods returned)",
		"gstr4.8A" : "Advance Amount paid for reverse charge supplies in the tax period",
		"gstr4.8B" : "Advance amount paid on which tax was paid in earlier period but invoice has been received in the current period",

//
				//********************SUMMARIZED SALES/PURCHASE & BANK*************************//
//==================================================================================================================================================================
		
		// Sales Purchase
		"description": "Click it to enter Detailed information about the item",
		"sku": "Stock Keeping Unit-Identification code for product and service",
		"move": "Drag and drop the items to Reorder",
		"hsn_sac": "8 digit code used to classify goods for calculating GST",
		"sales.outstanding":  "Gross amount yet to be received for the sent invoices that are unpaid or incomplete in transaction",
		"sales.overdue": "Gross amount yet to be received for the sent invoices that got expired",
		"sales.draft": "Gross amount for the invoices that are stored for analysis/making any changes before sending to customer",
		"bill.outstanding": "Net amount of all purchase orders that is yet to be received",
		"bill.overdue": "Net amount yet to be received for the purchase orders that got expired",
		"purchase.reverseCharge":"Applicable when Unregistered GST dealer supplies goods/services to Registered GST Buyer. Buyer is responsible for paying tax in this case",
		
		
		//Head
		"sales.quote": "An estimated price/proposal for the items you sell to send to customers before sales which have specific valid period",
		"sales.invoice": "Commercial statement that itemizes transaction between buyer and seller showing the amount of tax payable",
		"sales.retail": "Commercial document from retailer for counter sales",
		"sales.cnote": "Source document issued by seller to buyer for sales return, correction in invoice etc and it is a evidence for reduction in sales",
		"sales.dn": "Document issued by the seller to buyer for additional goods/service sent",
		"sales.recipt": "Proof document to be send to customer acknowledging their payment",
		"purchase.ord": "Legal document generated by the buyer that authorizes the purchase transaction",
		"purchase.exp": "Net amount spent by company to buy goods for production or others",
		"purchase.dn":"Source document issued by buyer to seller for excess purchase return journal",
		"purchase.cn":"Source document issued by the buyer to seller for purchase return journal",
		
		//Content
		"sales.invNo":"Unique number for each proposal",
		"purchase.invNo" : "Number of the invoice generated while purchasing from supplier can be entered ",
		"trans.invdate" : "Date in which the invoice is prepared",
		"trans.dueDate" : "Due Date is date before which the invoice has to be paid",   //sales & Bill
		"trans.ref" : "Transaction number can be entered for reference",
		"trans.types" : "Used to select the type of GST invoice",  //sales & Bill
			"sezWithTax": "Safe Economic zone invoices with tax ",
			"sezWithoutTax": "No payment of tax by forming Bond/Letter Of Undertaking(LUT)",
			"deemedExport": "Transaction in which goods remain in supplier's country,but payment for supply is received by exporting invoice ",
		"quote&retail.contactDropdown" : "Select existing Contact or save as a New Contact. You can also enter a new contact directly here without saving in contacts database.",
		"trans.contactDropdown" : "Select existing Contact. Also option to save as a New Contact",
		"payment.ref" : "Payment Type Reference Details. Cheque # / Bank Transaction#", //Reference
		"trans.reason" : "Choose the appropriate reason for preparation of sales/Purchase credit note from the drop down", //Reason sales credit Note / Purchase Credit note
		"trans.filterIcon" : "To search Trans # / Contact / Amount with status and period",//As title not in tooltip
		"trans.settingsicon":"Show / hide columns in Invoice grid", //As title not in tooltip
		
		//Notes
		"quotenotes":"Statements which provides additional information on the quote generated and are to be printed at the end of the quote",
		"inv&retnotes":"Subsidiary/Additional information to be printed",
		"cnotes":"Statement of apology which is printed at the end of the credit note and to be sent to the client",
		"dnotes":"Greeting statement which is to be printed at the end of debit note and to be sent to seller", 
		//Terms
		"trans.terms":"Standard statements that form an integral part of an agreement or contract",
		"cndn.terms":"Rules and regulations of the company to which the client must be liable to",
		//==================================================================================================================================================================

		// Bank/Cash
		"bankCash": "Use it to maintain or manage your bank transactions here",

		// Bank/Cash > New Bank
		"bankCash.type": "Choose the type either Credit or Debit transaction ",
		"bankCash.ledgDispName": "Name to be display in ledger report (by default displays the bank name and account name as a combination)",
		"bankCash.ifsc": "11-digit Indian Financial System Code to identify the branch of particular bank",
		"bankCash.swift": "11-digit (international) code that identifies the particular bank worldwide",
		"bankCash.authDealerCode": "14-digit authorized code given by banks to companies who has IEC(Import Export Code)",

		// Accounting > Journal Entry AND contra
		"journal": "Maintain the list of transactions done in an financial year or years",
		"contra": "Net debit amount during a transaction mentioned in journal can be credited here or vice versa",

		// Accounting > Journal Entry And Contra> New Journal AND CONTRA
		"jc.date": "Date in which the Bank / Cash transaction is created",
		"jc.debit": "Debit amount of the journal/Contra",
		"jc.credit": "Net amount credited must be equal to net amount debited",
		"jc.account": "Enter the account which is to be debited or credited",
		"jc.desc": "Details of the transaction can be entered here",
		"jc.notes": "Details of the transaction can be entered here",

		// Accounting > Chart Of Accounts
		"accounts": "All type of accounts with specification of categories are listed here",

		// Accounting > Chart Of Accounts > New Chart Account
		"accounts.accCode": "Code can be entered for quick reference",
		"accounts.group": "Select the parent account from drop down while creating new account",
		"accounts.desc": "Details of the account(if any) can be given here",
		"accounts.active": "Enable it if the account is active for transactions",

		// Accounting > Opening Balances
		"opBalance": "Balance brought forward from end of an financial year to the start of an financial year",
		"opBalance.date": "Date on which you open the new financial account in a financial year",

		//**********************************UNSUMMARIZED SALES/PURCHASE AND BANK*************************************// ==================================================================================================================================================================

	/*	// Sales Common
		"description": "Click it to enter Detailed information about the item",
		"sku": "Stock Keeping Unit-Identification code for product and service",
		"move": "Drag and drop the items to Reorder",
		"hsn_sac": "8 digit code used to classify goods for calculating GST",
		"sales.customer": "New customers can be added and existing contacts displayed inthe dropdown list",

		// Sales > Quote
		"sales.quote": "An estimated price/proposal for the items you sell to send to customers before sales which have specific valid period",
		"sales.est.no": "Unique number for each proposal ",

		// Sales > Quote > New Quote
		"sales.est.date": "Date in which the quote is prepared",
		"sales.est.duedate": "Date in which the quote expires",
		"sales.est.settingsIcon": "Show / hide columns in Invoice grid",
		
		// Sales > Invoice
		"invoice": "Commercial statement that itemizes transaction between buyer and seller showing the amount with tax payable",
		"outstanding": "Gross amount yet to be received for the sent invoices that are unpaid or incomplete in transaction",
		"overdue": "Gross amount yet to be received for the sent invoices that got expired",
		"draft": "Gross amount for the invoices that are stored for analysis/making any changes before sending to customer",
		"sales.inv.filterIcon": "Used to search Invoices / Customer / Amount with status and period",

		// Sales > Invoice > New Invoice
		"sales.invoice.refHash": "Quote number or the manual invoice number can be entered for reference",
		"sales.invoice.types": "Used to select the type of GST invoice",
		"sezWithTax": "Safe Econmic zone invoices with tax ",
		"sezWithoutTax": "No payment of tax by forming Bond/Letter Of Undertaking(LUT)",
		"deemedExport": "Transaction in which goods remain in supplier's country,but payment for supply is received by exporting invoice ",
		"sales.inv.invDate": "Date in which the invoice is prepared",
		"sales.inv.dueDate": "Last valid date of the invoice raised",
		"sales.inv.settingsIcon":"Use it to display the desired fields in the invoice",

		// Sales > Retail Invoice
		"sales.retail": "Commercial document from retailer for counter sales",
		"sales.retail.filterIcon":"Used to search Invoices / Customer / Amount with status and period",

		// Sales > Retail Invoice > New Retail Invoice
		"sales.retail.refHash": "Quote number or the manual invoice number can be entered for reference",
		"sales.retail.invDate": "Date in which the Retail Invoice is prepared",
		"sales.retail.settingsIcon": "Use it to display the desired fields in the retail invoice",

		// Sales > Credit Note
		"sales.cnote": "Source document issued by seller to buyer for sales return, correction in invoice etc and it is a evidence for reduction in sales",
		"sales.cn.filterIcon": "Used to search credit note / Customer / Amount with status and period",

		// Sales > Credit Note > New Credit Note
		"sales.cn.refHash": "Invoice number can be entered for reference",
		"sales.cn.reason": "Choose the appropriate reason for preparation of credit note from the drop down",
		"sales.cn.invDate": "Date in which the Credit note is prepared",
		"sales.cn.settingsIcon": "Use it to display the desired fields in the credit note",

		// Sales > Debit Note
		"sales.dn": "Document issued by the seller to buyer for additional goods/service sent",
		"sales.dn.filterIcon": "Used to search Debit note / Customer / Amount with status and period",

		// Sales > Debit Note > New Debit Note
		"sales.dn.refHash": "Invoice number can be entered for reference",
		"sales.dn.invDate": "Date in which the Debit date is prepared",
		"sales.dn.settingsIcon": "Use it to display the desired fields in the debit note",

		// Sales > Receipt
		"sales.recipt": "Proof document to be send to customer acknowledging their payment",
		"sales.recipt.filterIcon": "Used to search any debit invoice that is already present in records",

		// Sales > Receipt > New Receipt
		"sales.recipt.invDate": "Date in which the Receipt is prepared",
		"sales.recipt.refHash ": "Invoice number can be entered for reference",


// ==================================================================================================================================================================

		"purchase.reverseCharge":"Applicable when Unregistered GST dealer supplies goods/services to Registered GST Buyer. Buyer is responsible for paying tax in this case",
		"purchase.supplier": "New suppliers/vendors can be added and the supplier/vendor who have been added initially in customer list also appear while supplier name is typed",

		// Purchase > Purchase Order
		"purchase.ord": "Legal document generated by the buyer that authorizes the purchase transaction",

		//Purchase > Purchase Order > New Purchase Order
		"purchase.ord.date": "Date in which the Purchase order is prepared",
		"purchase.ord.dueDate": "Last valid date of the Purchase Order",
		"purchase.ord.settingsIcon": "Use it to display the desired fields in the purchase order",
		"purchase.ord.notes": "Conclude purchase order by adding any desired note",

		// Purchase > Purchase Bill
		"purchase.bill.outstanding": "Net amount of all purchase orders that is yet to be received",
		"purchase.bill.overdue": "Net amount yet to be received for the purchase orders that got expired",

		// Purchase > Purchase Bill > New Purchase Bill
		"purchase.bill.date": "Date in which the Purchase Bill is prepared",
		"purchase.bill.dueDate": "Last valid date of the Purchase Bill",
		"purchase.bill.refHash":"Displays the purchase order number if bill is prepared for same PO/PO number can be entered for reference",
		"purchase.bill.types":"Select from the drop down for generating bill with tax payment or regular payment",
		"purchase.bill.sezWithTax": "Collection refund after payment of Tax ",
		"purchase.bill.invNo": "Number of the invoice generated while purchasing from supplier can be entered ",
		"purchase.bill.invDate": "Date of generation of invoice prepared on purchase from supplier",
		"purchase.bill.settingsIcon": "Use it to display the desired fields in the purchase bill",

		// Purchase > Expense
		"purchase.exp": "Net amount spent by company to buy goods for production or others",

		// Purchase > Expense > New Expenses Details
		"purchase.exp.date": "The date on which the payment is to be done",
		"purchase.exp.invNo":"Number of the invoice generated while purchasing from supplier can be entered",
		"purchase.exp.invDate": "Date of generation of invoice prepared on purchase from supplier",
		"purchase.exp.refHash": "Bill/Cheque/Debit card/Credit card number can be entered for reference",
		"purchase.exp.settingsIcon": "Use it to display the desired fields in the purchase bill",

		// Purchase > Sup.Credit Note 
		"purchase.cn":"Source document issued by the buyer to seller for purchase return journal",

		// Purchase > Sup.Credit Note > New Sup.Credit Note 
		"purchase.cn.date": "Date in which the Supplier credit note is prepared",
		"purchase.cn.refHash": "Number of the relevant purchase bill can be entered for reference",
		"purchase.cn.reason":"Select the reason for creating supplier credit note",
		"purchase.cn.settingsIcon": "Use it to display the desired fields in the purchase bill",

		// Purchase > Sup.Debit Note
		"purchase.dn":"Source document issued by buyer to seller for excess purchase return journal",

		// Purchase > Sup.Debit Note > New Sup.Debit Note 
		"purchase.dn.date":"Date in which the Supplier Debit note is prepared",
		"purchase.dn.invNo":"Number of the relevant purchase bill can be entered",
		"purchase.dn.settingsIcon": "Use it to display the desired fields in the purchase bill",

		// Purchase > Bill Payment > New Bill Payment
		"purchase.payment.date":"Date on which the bill is to paid",
		"purchase.payment.refHash":"Bill/Cheque/Debit card/Credit card number can be entered for reference",

// ==================================================================================================================================================================

		// Bank/Cash
		"bankCash": "Use it to maintain or manage your bank transactions here",

		// Bank/Cash > New Bank
		"bankCash.type": "Choose the type either Credit or Debit transaction ",
		"bankCash.ledgDispName": "Name to be display in ledger report (by default displays the bank name and account name as a combination)",
		"bankCash.ifsc": "11-digit Indian Financial System Code to identify the branch of particular bank",
		"bankCash.swift": "11-digit (international) code that identifies the particular bank worldwide",
		"bankCash.authDealerCode": "14-digit authorized code given by banks to companies who has IEC(Import Export Code)",

		// Accounting > Journal Entry
		"bankCash.journal": "Maintain the list of transactions done in an financial year or years",

		// Accounting > Journal Entry > New Journal
		"bankCash.date": "Date in which the Bank transaction is created",
		"bankCash.debit": "Debit amount of the journal",
		"bankCash.credit": "Net amount credited must be equal to net amount debited",
		"bankCash.account": "Enter the account which is to be debited or credited",
		"bankCash.desc": "Details of the transaction can be entered here",
		"bankCash.notes": "Journal naration can be entered here (will display in journal report)",

		// Accounting > Cash Contra
		"contra": "Net debit amount during a transaction mentioned in journal can be credited here or vice versa",

		// Accounting > Cash Contra > New Contra
		"contra.date": "Date in which the Bank / Cash transaction is created",
		"contra.debit": "Debit amount of contra",
		"contra.credit": "Net amount credited must be equal to net amount debited",
		"contra.account": "Enter the account which is to be debited or credited",
		"contra.desc": "Details of the transaction can be entered here",

		// Accounting > Chart Of Accounts
		"accounts": "All type of accounts with specification of categories are listed here",

		// Accounting > Chart Of Accounts > New Chart Account
		"accounts.accCode": "Code can be entered for quick reference",
		"accounts.group": "Select the parent account from drop down while creating new account",
		"accounts.desc": "Details of the account(if any) can be given here",
		"accounts.active": "Enable it if the account is active for transactions",

		// Accounting > Opening Balances
		"opBalance": "Balance brought forward from end of an financial year to the start of an financial year",
		"opBalance.date": "Date on which you open the new financial account in a financial year",

//*/// ==================================================================================================================================================================

		// Settings > General
		"settings.general": "First and foremost to be done before starting to use Output Books",
		"settings.gstin":" 15-digit Goods and Services Tax Identification Number assigned to every GST registered client or supplier",
		"settings.pan": "Permanent account number(10-digit) issued by income tax department to an client or supplier",
		"settings.compositionScheme": "check mark the box for taxpayers(customers)whose tur over is less than one crore",

		// Settings > Company
		"settings.companies": "Manage a list of the companies that are in business with you by using this option",
		//Settings > company >SMTP
		"settings.gmail": "How to configure SMTP with Gmail?",
		// Settings > Company > Add company
		"settings.company.active": "Enable/disable it for the companies that are to be included/not included in billing and are active/inactive in business(doing purchase/sales transaction) with you respectively",

		// Settings > Users
		"settings.userRoles": "Role of an individual(user) in an organisation can be added here",

		// Settings > Users > Add User
		"settings.users.active": "Enable/disable it for the users who are currently using/not using Output Books",

		// Settings > Modules
		"settings.modules": "Enable the desired modules in this section that are ought to be used in billing for both sales and purchase",
		"settings.serialNo": "Auto(Default)/Manual mode for generation of serial number of quote/invoice/credit note etc can be set here",

		// Settings > Sales
		"settings.sales": "Customization of the fields required in sales form and sales charge can be done",
		"settings.notes": "For each module,mentioning the desired notes or terms and conditions that the client should be liable to company can be done here",
		"settings.customFields": "New fields/Desired fields can be added here",
		"settings.salOnlyStock": "This will be applied only for Track Inventory enabled items",

		// Settings > Tax Rates
		"settings.taxRates": "Create / modify tax rate for GST invoice",

		// Settings > Units
		"settings.units": "Units to be used in items to Track inventory",

// ==================================================================================================================================================================

		// Settings > Reports > GSTR3B
		"reports.gstr3b": "Details of both inward and outward supply of goods and services",
		"reports.nonGstOutwardSupplies": "Goods and services that have 0% GST eg.salt,petroleum,jaggeries etc",

		// Settings > Reports > Accounts
		"reports.dayBook": "An account book for sales invoice/retail invoice/credit note etc in which a day's transactions are entered for transferring it to a ledger later",
		"reports.cash_bank": "Book for maintaining the receipt and payment of money done on daily basis",
		"reports.trialBalance": "Worksheet in which the balance of all ledgers are complied into credit and debit account totals that are equal",
		"reports.balanceSheet": "A Statement of the financial position of a business which states the assets, liabilities, and and owners' equity at a particular point in time",
		"reports.balanceSheet1": "Assets = Liabilities + Equity",
		"reports.fiscalYear": "Financial year -Decided by government,used for financial reporting by business and other organizations",
		"reports.openingBalance": "Balance brought forward at the beginning of a new accounting period, on the credit or the debit side of the ledger",

		// Settings > Reports > Ledger > All Accounts
		"reports.ledger": "Collection of financial account can be maintained for a day/week/month/year",

		// Settings > Reports > Ledger
		"reports.contactTag": "Group customers/suppliers according to any paramater",

		// Settings > Reports > Transaction
		"reports.salesRegister": "List of all sales transactions happened in an fiscal year",
		"reports.purchaseRegister": "List of all purchase transactions happened in an fiscal year",
		"reports.aging": "A monthly/daily report that displays the unpaid customer invoices and unused credit memos ",
		"reports.receivable": "Gross amount yet to be received from customer or client in an financial year",
		"reports.payable": " Gross amount yet to be paid by company to Supplier or vendor in an financial year",

// ==================================================================================================================================================================

	}

})(OBooks);

